| Home | Libraries | People | FAQ | More

## Class template ostream_weekday_formatter

boost::date_time::ostream_weekday_formatter — Formats a weekday.

## Synopsis

    // In header: <boost/date_time/date_formatting_locales.hpp>

    template<typename weekday_type, typename facet_type, typename charT = char>
    class ostream_weekday_formatter {
    public:
      // types
      typedef facet_type::month_type      month_type;
      typedef std::basic_ostream< charT > ostream_type;

      // public static functions
      static void format_weekday(const weekday_type &, ostream_type &,
                                 const facet_type &, bool);
    };

## Description

### `ostream_weekday_formatter` public static functions

1.     static void format_weekday(const weekday_type & wd, ostream_type & os,
                                  const facet_type & f, bool as_long_string);

   Formats a month as as string into an output iterator.